/*
 * Copyright (C) 2010 Corentin Chary <corentin.chary@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef STATIONS_SIMPLE_PRIVATE_ERLANGEN_H
#define STATIONS_SIMPLE_PRIVATE_ERLANGEN_H

#include "stationspluginsimple_p.h"


static const struct {
        int number;
        int arrondissementNumber;
        const char *name;
        const char *address;
        double x;
        double y;
} stations[] = {
	{ 509, 0, "Cinestar", "", 49.590795, 11.004996 },
	{ 26806, 0, "Arcaden", "", 49.593876, 11.005104 },
	{ 26807, 0, "Hauptbahnhof", "", 49.596074, 11.002454 },
	{ 42198, 0, "Tourist-Info", "", 49.590740, 11.006863 },
	{ 43720, 0, "Martin-Luther-Platz", "", 49.601838, 11.003280 },
	{0, 0, NULL, NULL, 0., 0.}
};


struct StationsPluginSimplePrivateErlangen : StationsPluginSimplePrivate {
  StationsPluginSimplePrivateErlangen() {
    rect = QRectF(QPointF(48.596000, 10.002200), QPointF(50.596000, 12.002200));
    center = QPointF(49.596000, 11.002200);
    statusUrl = "";
    infosUrl = "http://nextbike.net/maps/nextbike-official.xml";
  }

  QList < Station * > fetchAll(StationsPlugin *plugin) {
    QList < Station * > list;

    for (int i = 0; stations[i].name; ++i) {
      Station *station = new Station(plugin);

      station->setId(stations[i].number);
      station->setName(QString::fromUtf8(stations[i].name));
      station->setDescription(QString::fromUtf8(stations[i].address));
      station->setPos(QPointF(stations[i].x, stations[i].y));
      station->setRegion(QString("Erlangen %1").arg(stations[i].arrondissementNumber));
      list.append(station);
    }

    return list;
  }

  QStringList regions() {
    QStringList ret;


    return ret;
  }
};

#endif /* STATIONS_SIMPLE_PRIVATE_ERLANGEN_H */

